/* $Id$ */

#include "kchartWizardSelectDataPage.h"

#include <tqlabel.h>
#include <tqlineedit.h>
#include <kdebug.h>

namespace KChart
{

KChartWizardSelectDataPage::KChartWizardSelectDataPage( TQWidget* parent ) :
  TQWidget( parent )
{
  rangeED = new TQLineEdit( this, "LineEdit_1" );
  rangeED->setGeometry( 10, 90, 380, 30 );
  rangeED->setText( "" );

  TQLabel* tmpTQLabel;
  tmpTQLabel = new TQLabel( this, "Label_1" );
  tmpTQLabel->setGeometry( 10, 30, 360, 20 );
  tmpTQLabel->setText( "If the selected cells dont match your table," );

  tmpTQLabel = new TQLabel( this, "Label_2" );
  tmpTQLabel->setGeometry( 10, 50, 360, 20 );
  tmpTQLabel->setText( "you must select another rectangular area here." );

  kdDebug(35001) << "send needNewData() signal here and update area field in KChartWizard" << endl;

  setMinimumSize( 600, 300 );
}

}  //namespace KChart
